javax.persistence.metamodel

## Interface Type<X>

All Known Subinterfaces:
  BasicType<X>, EmbeddableType<X>, EntityType<X>, IdentifiableType<X>, ManagedType<X>, MappedSuperclassType<X>

    public interface Type<X>

### Nested Class Summary

Nested Classes
`static class` `Type.PersistenceType`

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<X>` `getJavaType()`
`Type.PersistenceType` `getPersistenceType()`

### Method Detail

#### getPersistenceType

    Type.PersistenceType getPersistenceType()

#### getJavaType

    Class<X> getJavaType()